// Parttimr.cpp: implementation of the CParttimr class.
//
//////////////////////////////////////////////////////////////////////

#include "Parttime.h"
#include <iostream>
#include <string>	// for string class
using namespace std;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CParttime::CParttime(string fn, string ln, int en, int hrs ): CEmployee(fn, ln, en)
{
#if DEBUG
	cout << "<<< Part-time constructor" << endl;
#endif
	hoursperweek = hrs;
}

CParttime::~CParttime()
#if DEBUG
	cout << "<<< Part-time destructor" << endl;
#endif
{

}

//////////////////////////////////////////////////////////////////////
// Print Part time employee data
//////////////////////////////////////////////////////////////////////
void CParttime::display()
{
	CEmployee::display();
	showhours();
}

//////////////////////////////////////////////////////////////////////
// Print hours worked per week
//////////////////////////////////////////////////////////////////////
void CParttime::showhours()
{
	cout << "Hours per week: " << hoursperweek << endl;
}
