// Fulltime.cpp: implementation of the CFulltime class.
//
//////////////////////////////////////////////////////////////////////

#include "Fulltime.h"
#include "Employee.h"
#include <iostream>
#include <string>	// for string class

using namespace std;
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CFulltime::CFulltime(string fn, string ln, int en) : CEmployee(fn, ln, en)
{
#if DEBUG
	cout << "<<<Full-time constructor" << endl;
#endif
	holidays = 20;
}

CFulltime::~CFulltime()
{
#if DEBUG
	cout << "<<<Full-time destructor" << endl;
#endif

}

//////////////////////////////////////////////////////////////////////
// Print Fulltime employee data
//////////////////////////////////////////////////////////////////////
void CFulltime::display()
{
	CEmployee::display();
	cout << "Holiday entitlement: " << holidays << endl;
}

//////////////////////////////////////////////////////////////////////
// Print holiday entitlement
//////////////////////////////////////////////////////////////////////
void CFulltime::showholidays()
{
	cout << "Holiday entitlement: " << holidays << endl;

}
