// Fulltime.cpp: implementation of the CFulltime class.
//
//////////////////////////////////////////////////////////////////////

#include "Fulltime.h"
#include "Employee.h"
#include <iostream>
#include <string>	// for string class

using namespace std;
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CFulltime::CFulltime(char *fn, char *ln, int en) :  CEmployee(fn, ln, en), holidays(20)
{
	cout << "creating full-time employee" << endl;
	
}

CFulltime::~CFulltime()
{
	cout << "deleting full-time employee" << endl;	
}

//////////////////////////////////////////////////////////////////////
// Print Fulltime employee data
//////////////////////////////////////////////////////////////////////
void CFulltime::display()
{
	CEmployee::display();
	cout << "Holiday entitlement: " << holidays << endl;
}

//////////////////////////////////////////////////////////////////////
// Print holiday entitlement
//////////////////////////////////////////////////////////////////////
void CFulltime::showholidays()
{
	cout << "Holiday entitlement: " << holidays << endl;

}
