// Parttimr.cpp: implementation of the CParttimr class.
//
//////////////////////////////////////////////////////////////////////

#include "Parttime.h"
#include <iostream>
#include "string.h"	// for C string functions
using namespace std;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CParttime::CParttime(char *fn, char *ln, int en, int hrs, char *exp )
	: CEmployee(fn, ln, en),hoursperweek(hrs), expertise(0)
{
	cout << "creating part-time employee" << endl;
	expertise = new char[strlen(exp) + 1];
}

CParttime::~CParttime()
{
	cout << "deleting part-time employee" << endl;
	delete expertise;
}

//////////////////////////////////////////////////////////////////////
// Print Part time employee data
//////////////////////////////////////////////////////////////////////
void CParttime::display()
{
	CEmployee::display();
	showhours();
}

//////////////////////////////////////////////////////////////////////
// Print hours worked per week
//////////////////////////////////////////////////////////////////////
void CParttime::showhours()
{
	cout << "Hours per week: " << hoursperweek << endl;
}
