#include "employee.h"
#include "fulltime.h"
#include "parttime.h"
#include <iostream>
#include <string>	// for string class
using namespace std;

//////////////////////////////////////////////////////////////////////
// Test program for employee class
//////////////////////////////////////////////////////////////////////

void main()
{


#if 1
	cout << "Case 1" << endl;
	cout << "Full time worker" << endl;
	CFulltime ft("Albert", "Einstein", 665566);
	ft.display(); // Because ft_ptr is a pointer to a Fulltime object the corect display function is called
	cout << endl;

	cout << "Part time worker" << endl;
	CParttime pt("Richard", "Feynman", 183246, 16, "Cosmology");
	pt.display(); // Because pt_ptr is a pointer to  Parttime object the corect display function is called
	cout << endl;

#endif

#if 0

	cout << "Case 2" << endl;
	////////////////////////////////////////////////////////////////////
	// Create pointer to an Employee
	////////////////////////////////////////////////////////////////////
	
	CEmployee *ep_ptr;
	
	////////////////////////////////////////////////////////////////////
	// Create Fulltime and Parttime employees using new
	////////////////////////////////////////////////////////////////////
	cout << "\nFull time worker" << endl;
	ep_ptr= new CFulltime("Albert", "Einstein", 665566);
	ep_ptr->display(); // Because ft_ptr is a pointer to a Fulltime object the corect display function is called
	delete ep_ptr;

	cout << "\nPart time worker" << endl;
	ep_ptr = new CParttime("Richard", "Feynman", 183246, 16, "Cosmology");
	ep_ptr->display(); // Because pt_ptr is a pointer to  Parttime object the corect display function is called
	delete ep_ptr;

	// Problem destructors not called correctly!!
	// Problem corrected by making destructor functions virtual
#endif

}